cURL
curl https://api.aiql.io/ingestions \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
ingestions = client.ingestions.list(workspace_id="ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const ingestions = await client.ingestions.list({ workspaceId: "ws_3a1b" });{
"data": [
{
"id": "<string>",
"url": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"processing": {
"steps": {},
"progress": {},
"current_step": "<string>",
"percent_complete": 123
},
"name": "<string>",
"filename": "<string>",
"size": 123,
"mime_type": "<string>",
"metadata": {},
"schema": {
"classes": [
{
"name": "<string>",
"definition": "<string>",
"cardinality": "many"
}
],
"relationships": [
{
"name": "<string>",
"domain": [
"<string>"
],
"range": [
"<string>"
],
"definition": "<string>"
}
],
"properties": [
{
"name": "<string>",
"type": "<string>",
"domain": [
"<string>"
],
"definition": "<string>",
"values": [
"<string>"
]
}
]
},
"upload": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"method": "PUT",
"headers": {}
}
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ingestions
List Ingestions
GET
/
ingestions
cURL
curl https://api.aiql.io/ingestions \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
ingestions = client.ingestions.list(workspace_id="ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const ingestions = await client.ingestions.list({ workspaceId: "ws_3a1b" });{
"data": [
{
"id": "<string>",
"url": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"processing": {
"steps": {},
"progress": {},
"current_step": "<string>",
"percent_complete": 123
},
"name": "<string>",
"filename": "<string>",
"size": 123,
"mime_type": "<string>",
"metadata": {},
"schema": {
"classes": [
{
"name": "<string>",
"definition": "<string>",
"cardinality": "many"
}
],
"relationships": [
{
"name": "<string>",
"domain": [
"<string>"
],
"range": [
"<string>"
],
"definition": "<string>"
}
],
"properties": [
{
"name": "<string>",
"type": "<string>",
"domain": [
"<string>"
],
"definition": "<string>",
"values": [
"<string>"
]
}
]
},
"upload": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"method": "PUT",
"headers": {}
}
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Query Parameters
Maximum number of items to return per page.
Required range:
1 <= x <= 100Opaque cursor pointing to the page to fetch. Omit to start from the first page.